Bug 842459 - Review Request: rubygem-uplift-bind-plugin - Uplift plugin for BIND service
Review Request: rubygem-uplift-bind-plugin - Uplift plugin for BIND service
Status: CLOSED DUPLICATE of bug 844817
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On: 839064 842891
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 18:26 EDT by Troy Dawson
Modified: 2012-07-31 18:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 18:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2012-07-23 18:26:52 EDT
Spec URL: http://www.yortnoswad.org/packages/review/rubygem-uplift-bind-plugin.spec
SRPM URL: http://www.yortnoswad.org/packages/review/rubygem-uplift-bind-plugin-0.8.5-2.fc18.src.rpm
Description: Provides a Bind DNS service based plugin
Fedora Account System Username: tdawson

Rpmlint Output:
[me@rawhide]$ rpmlint rubygem-uplift-bind-plugin.spec rubygem-uplift-bind-plugin-0.8.5-2.fc18.src.rpm
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Michael Scherer 2012-07-24 16:59:31 EDT
Hi,

for some reason, there is a problem with the ruby subpackage :
$ rpm --eval %ruby_sitelibdir
/usr/local/share/ruby/site_ruby
$ rpm -qpl ruby-uplift-bind-plugin-0.8.5-2.fc17.noarch.rpm 
/usr/local/share/ruby/site_ruby/uplift-bind-plugin
/usr/local/share/ruby/site_ruby/uplift-bind-plugin.rb

and that's forbidden to place a file in /usr/local/ from a rpm.
Comment 2 Troy Dawson 2012-07-24 17:06:46 EDT
Hmm ... then I'm going to have a couple other packages with the same problem.
The problem is that I replaced the variable %{ruby_sitelib} with %{ruby_sitelibdir}

So the old way ruby_sitelib was determined with 

  ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']"

On RHEL6 you get

  /usr/lib/ruby/site_ruby/1.8

On Fedora 17 and 18 you get

  /usr/local/share/ruby/site_ruby

I don't mind moving it to where it really needs to be.  But I don't understand why the stock ruby variables are putting files in a place that is forbidden.
Comment 3 Troy Dawson 2012-07-24 17:13:53 EDT
Aha ... I just found where it talks about this in the documentation.

"Previously, %{ruby_sitelibdir} and %{ruby_sitearchdir} were used. However, as they are meant only for local installations, please use %{ruby_vendorlibdir} and %{ruby_vendorarchdir} instead."

I will update the spec and rpm with %{ruby_vendorlibdir} and repost them.
Comment 4 Troy Dawson 2012-07-24 17:43:09 EDT
Fixed: I have changed %{ruby_sitelibdir} to be %{ruby_vendorlibdir} which cleaned up having files in /usr/local/
I have also added LICENSE to the %DOC.

Spec URL: http://www.yortnoswad.org/packages/review/rubygem-uplift-bind-plugin.spec
SRPM URL: http://www.yortnoswad.org/packages/review/rubygem-uplift-bind-plugin-0.8.5-3.fc18.src.rpm
Comment 5 Michael Scherer 2012-07-24 18:16:24 EDT
Nitpicking a little, but i think BuildRequires could be simplied ( ruby-devel pull ruby, rubygems-devel pull rubygems )

Why does it require selinux policy and policycoreutils-python ? ( nothing in the current code seems to need it ).

And shouldn't it requires rubygem(dnsruby) ? ( instead of bind + bind-utils, since the bind server seems to be able to be hosted remotely, since this use regular dns update  )
Comment 6 Troy Dawson 2012-07-24 18:49:02 EDT
ruby and ruby-devel, and rubygems and rubygems-devel.  I just like to be complete.  But to be honest, I'm not sure it needs the ruby and ruby-devel.  Those were required to get the original ruby_sitelib directory. I'll see how it builds if I take those off.

selinux-policy-targeted and policycoreutils-python ... good eye there.  This spec file originally had some selinux stuff in the %post section, which was taken out.  I'll take those out.

As far as using rubygem(dnsruby) versus bind and bind-utils, I don't know.  I didn't write the code and I don't know what calls they are using.
Comment 7 Troy Dawson 2012-07-31 18:56:35 EDT
This package has been renamed rubygem-openshift-origin-dns-bind.

Here is the new review request for it.

https://bugzilla.redhat.com/show_bug.cgi?id=844817

*** This bug has been marked as a duplicate of bug 844817 ***

Note You need to log in before you can comment on or make changes to this bug.